Identify WMS does not work with format feature (GML)

2014-05-19 11:57 AM - Radim Blazek

Status: Closed

Priority: Normal

Assignee: Radim Blazek

Category: Web Services clients/WMS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18731

Description

Identify tool does not work with format feature on layer rt_ambamm.idcomuni.rt.poly from WMS server 

http://www502.regione.toscana.it/wmsraster/com.rt.wms.RTmap/wms?map=wmsambamm

The response to request, e.g.

http://www502.regione.toscana.it/wmsraster/com.rt.wms.RTmap/wms?map=wmsambamm&#38;map_resolution=91&#38;&#38;SERVI

E=WMS&#38;VERSION=1.3.0&#38;REQUEST=GetFeatureInfo&#38;BBOX=560863.33435207814909518,4902651.84007439017295837,570986.87469437648542225,4915237.03156375139951706&#38;CRS=EPSG:32632&#38;WIDTH=658&#38;HEIGHT=818&#38;LAYERS=

837,570986.87469437648542225,4915237.03156375139951706&#38;CRS=EPSG:32632&#38;WIDTH=658&#38;HEIGHT=818&#38;LAYERS=rt_ambamm.idcomuni.rt.poly&#38;STYLES=&#38;FORMAT=image/png&#38;QUERY_LAYERS=rt_ambamm.idcomuni.rt.poly&#38;INFO_FORMAT=text/gml&#38;I=166&#38;J=305&#38;FEATURE_COUNT=10

LAYERS=rt_ambamm.idcomuni.rt.poly&#38;STYLES=&#38;FORMAT=image/png&#38;QUERY_LAYERS=rt_ambamm.idcomuni.rt.poly&#38;INFO_FORMAT=text/gml&#38;I=166&#38;J=305&#38;FEATURE_COUNT=10

&#38;INFO_FORMAT=text/gml&#38;I=166&#38;J=305&#38;FEATURE_COUNT=10

which is multipart with GML and XSD, is received correctly but parsing fails and result window is empty.

The problem could be for example unexpected parts order or object type with dots.

Associated revisions

Revision be318fe6 - 2014-05-21 01:24 PM - Radim Blazek

WMS identify with format feature (GML) fixe, fixes #10306

History

#1 - 2014-05-21 04:25 AM - Radim Blazek

- Status changed from Open to Closed

Fixed in changeset commit:"be318fe6b2a503f8c1db5be5495bfabc8c0069f8".

#2 - 2014-05-26 03:55 AM - Radim Blazek

- Assignee set to Radim Blazek

Ticket fixed with funding from Regione Toscana-SITA (CIG:ZB10C90E5A).
